SafeWeb API
Distributor API

Get partner

GET
/api/v1/distributors/partners/{partnerUuid}

Path Parameters

partnerUuid*string
Formatuuid

Header Parameters

SW-DISTRIBUTOR-ID*string
SW-API-KEY*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/distributors/partners/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "SW-DISTRIBUTOR-ID: string" \  -H "SW-API-KEY: string"
{
  "uuid": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
  "name": "Mock Partner",
  "contact_email": "mock@example.com",
  "product_type": "SafeWeb (New) Standard",
  "reply_to_email": "reply@example.com",
  "account_reference": "ref-001",
  "monthly_churn_limit": 10,
  "basic_billing_code": "SW-SW1",
  "plus_billing_code": null,
  "pro_billing_code": null,
  "send_customer_welcome_emails": true,
  "send_transactional_emails": true
}
{
  "success": false,
  "error": "Partner ID must be a valid UUID"
}
{
  "success": false,
  "error": "Internal server error"
}
{
  "success": false,
  "error": "Internal server error"
}
{
  "success": false,
  "error": "Internal server error"
}